#include <SPI.h>
#include <Mirf.h>
#include <nRF24L01.h>
#include <MirfHardwareSpiDriver.h>

const int switchPin = 7;
const int VRy = A1;
int YPosition = 0;

long previousMillis = 0;
long interval = 20;

void setup() {
  Serial.begin(9600);
  Mirf.cePin = 9; 
  Mirf.csnPin = 10;
  Mirf.spi = &MirfHardwareSpi;
  Mirf.init(); //initialization
  Mirf.channel = 3; //Sending channel (0~128)
  Mirf.setRADDR((byte *)"Sen01");
  Mirf.payload = 2; //transmitting 2 bytes

Mirf.config();
Serial.println("I'm Sender...");

pinMode(VRy, INPUT);
pinMode(switchPin, INPUT);
}

void loop() {
  unsigned long currentMillis = millis();
  if (currentMillis - previousMillis > interval) {
    previousMillis = currentMillis;
    
    YPosition = analogRead(VRy);
    unsigned int Angle = map(YPosition, 0, 1023, 30, 150);

    int SwitchState = digitalRead(switchPin);
    
byte data[Mirf.payload];
data[0] = Angle; //array
data[1] = SwitchState;

Mirf.setTADDR((byte *)"Rec01");
Mirf.send(data);

while(Mirf.isSending());
  }
}
